/* code gebruikt van Rogier van der Linde , voor design van de buttons */

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
}

body {
    background: #989494;
    display: flex;
    flex-direction: column;
    font-family: 'Alkatra', cursive;
    min-height: 100%;
}

.geluid {
    align-items: center;
    display: flex;
    padding: 10px;
    justify-content: space-between;
    padding: 0px 250px;
}

.sound {
    height: 94px;
    justify-content: center;
    margin-bottom: 10px;
    overflow: hidden;
    position: relative;
    width: 94px;
}

.sound__button {
    align-items: center;
    background: url(../img/button_normal.webp) no-repeat;
    border: 0;
    cursor: pointer;
    display: flex;
    height: 94px;
    left: 0;
    position: absolute;
    top: 0;
    width: 94px;
}

.sound__button:active {
    background: url(../img/button_down.webp) no-repeat;
}

.sound__background {
    border-radius: 50%;
    color: rgb(49, 20, 144);
    height: 94px;
    left: 0;
    position: absolute;
    top: 0;
    width: 94px;
}

h1 {
    color: rgb(49, 20, 144);
    margin-bottom: 20px;
}

.logo span {
    display: none;
}

.logo img {
    width: 200px;
    height: 200px;
}

.geluidseffecten {
    align-items: center;
    display: flex;
}

#geluidsKaart {
    border-right: 2px solid black;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    width: 50%;
}

.like {
    color: red;
}

.geluid__active {
    background: url(../img/button_down.webp) no-repeat;
}

main {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

footer .geluidseffecten {
    color: white;
    padding: 2px;
}

footer {
    background-color: rgb(49, 20, 144);
    display: flex;
    justify-content: center;
    margin-top: auto;
    padding: 45px;
}

#Dashboard {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    width: 40%;
}

.pas {
    align-items: center;
    display: flex;
    flex-direction: column;
    width: 30%;
}

#Titels {
    color: rgb(49, 20, 144);
    display: flex;
    justify-content: space-between;
}

#Titels h2 {
    text-align: center;
    width: 50%;
    padding-bottom: 80px;
}

form {
    display: flex;

}
#formKnop button, .favoriet {
    height: 35px;
    padding: 7px 20px;
    border: 0px;
    border-radius: 5px;
    background: rgb(49, 20, 144);
    box-shadow: 0 1px 3px -2px #9098A9;
    cursor: pointer;
    font-family: inherit;
    font-size: 16px;
    transition: all 150ms ease;
    color: white;
    font-weight: bold;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

#formKnop button:hover, .favoriet:hover {
    background: brown;
    transition: 0.2s ease-in;
}

/* Source: https://codepen.io/chris__sev/pen/LYOyjY  */
.group {
    position: relative;
}

input {
    border-bottom: 1px solid #757575;
    border: none;
    display: block;
    font-size: 18px;
    padding: 10px 10px 10px 5px;
    width: 300px;
}

input:focus {
    outline: none;
}

label {
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
    color: #999;
    font-size: 18px;
    font-weight: normal;
    left: 5px;
    pointer-events: none;
    position: absolute;
    top: 10px;
    transition: 0.2s ease all;
}

input:focus~label, input:valid~label {
    color: rgb(49, 20, 144);
    font-size: 14px;
    top: -20px;
}

.bar {
    display: block;
    position: relative;
    width: 300px;
}

.bar:before, .bar:after {
    -moz-transition: 0.2s ease all;
    -webkit-transition: 0.2s ease all;
    background: #5264AE;
    bottom: 1px;
    content: '';
    height: 2px;
    position: absolute;
    transition: 0.2s ease all;
    width: 0;
}

.bar:before {
    left: 50%;
}

.bar:after {
    right: 50%;
}

input:focus~.bar:before, input:focus~.bar:after {
    width: 50%;
}

.highlight {
    height: 60%;
    left: 0;
    opacity: 0.5;
    pointer-events: none;
    position: absolute;
    top: 25%;
    width: 100px;
}

input:focus~.highlight {
    -moz-animation: inputHighlighter 0.3s ease;
    -webkit-animation: inputHighlighter 0.3s ease;
    animation: inputHighlighter 0.3s ease;
}

@-webkit-keyframes inputHighlighter {
    from {
        background: #5264AE;
    }

    to {
        background: transparent;
        width: 0;
    }
}

@-moz-keyframes inputHighlighter {
    from {
        background: #5264AE;
    }

    to {
        background: transparent;
        width: 0;
    }
}

@keyframes inputHighlighter {
    from {
        background: #5264AE;
    }

    to {
        background: transparent;
        width: 0;
    }
}